%define name Xdialog
%define version 1.5.0
%define release 1

Name: %{name}
Summary:Xdialog in replacement for the cdialog program.
Version: %{version}
Release: %{release}
Source: Xdialog-%{version}.tar.bz2
Group: X11/Administration
URL: http://xdialog.free.fr
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr
Packager: Thierry Godefroy <xdialog@free.fr>

%description
Xdialog is designed to be a drop in replacement for the cdialog program.
It converts any terminal based program into a program with an X-windows
interface. The dialogs are easier to see and use and Xdialog adds even
more functionalities (help button+box, treeview, editbox, file selector,
range box, and much more).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" %configure

%make

%install
%makeinstall

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,0755)
%doc ChangeLog COPYING samples html
%_bindir/*

%changelog
* Sat Jan 06 2001 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.5.0: 5 new widgets (--2inputsbox, --3inputsbox, --2rangesbox,
		  --3rangesbox, --buildlist), 2 new common options
		  (--separator, --separate-output), 3 new transient options
		  (--interval, --default-no, --wizard). The <menu/list height>
		  parameter is now taken into account. Better auto-sizing for
		  some widgets. The <height> and <width> parameters are now
		  actually related to the true (fixed font) character size.
		  The "Help" button may now be setup so to make Xdialog to
		  return (with exit code=2). Better parameter checking (item
		  depth) in --treeview. Some re-write for cleaner code and
		  smaller binary. Full HTML documentation written.

* Fri Dec 15 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.4.6: added icons for the buttons and the corresponding
		  "--buttons-style" option. Added the "--icon" transient
		  option and the "--rc-file" common option.

* Thu Aug 28 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.4.5: another compatibilty patch (courtesy of Albert
		  Chin-A-Young); new "--no-close" and "--allow-close" common
		  options and "--dselect" widget implemented; some more sample
		  scripts added (including a wrapper for (c)dialog).

* Thu May 18 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.4.4: Bug fix (core dump when a bad filename was passed to 
		  the tailbox(bg)); better error reporting; the number of
		  items in --menubox, --checklist, --radiolist, and --treeview
		  is now automatically calculated.

* Sat May 13 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.4.3: Bug fix (core dump when no size parameter was given for
		  the last common option in the command line); New "--wmclass"
		  option implemented. The "Help" button is now available for
		  the fselect widget. Print command made easily configurable
		  at compile time.

* Wed May 10 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.4.2: One more bug fixed and better parameter checking. Memory
		  usage lowered.

* Tue May 09 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.4.1: Bug fix release (bug introduced in v1.4.0 that made
		  Xdialog to core-dump when an unknown option was
		  encountered).

* Mon May 08 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.4.0: another compatibilty patch (courtesy of Albert
		  Chin-A-Young); many code re-writing; new "--calendar",
		  "--timebox", "--print", "--stdout" and "--stderr" options;
		  auto-size feature and much more (see ChangeLog for a full
		  list of changes)...

* Mon May 01 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.3.2: another compatibilty patch (courtesy of Albert
		  Chin-A-Young); more code tidying; some cosmetic
		  improvements to the gauge widget and to the <backtitle>
		  label displaying; the "--no-tags" option is now taken
		  into account by the menu box widget.

* Sat Apr 29 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.3.1: Fixed a bug (introduced in v1.3.0) dealing with the
		  --help option; compatibility patch (courtesy of
		  Albert Chin-A-Young) IOT allow Xdialog to compile on
		  non-Linux/GCC UNICES.

* Wed Apr 26 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.3.0: new "editbox" and "range" widgets; new options
                  implemented; some improvements; one bug corrected.

* Wed Apr 19 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.2.2: small improvement and bug fix in tailbox.

* Tue Apr 18 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.2.1: small improvement in inputbox.

* Fri Apr 14 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.2.0: a lot of improvements.

* Fri Apr 07 2000 Thierry Godefroy <xdialog@free.fr>
- Xdialog v1.1.0: some bug fixes, code cleanup and some improvements.

* Fri Dec 03 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Christian Vanguers <cvanguers@isaserver.be>

* Fri Dec 03 1999 Christian Vanguers <cvanguers@isaserver.be>
- First RPM done for this tool
