/*
 * defines for interface.h
 */

/* The following defines should be changed with CPPFLAGS in src/Makefile */

#ifdef FRENCH
#	define HOSTMENU "Menu hte"
#	define OK "OK"
#	define CANCEL "Annuler"
#	define YES "Oui"
#	define NO "Non"
#	define HELP "Aide"
#	define PREVIOUS "Prcdent"
#	define NEXT "Suivant"
#	define PRINT "Imprimer"
#	define ADD "Ajouter"
#	define REMOVE "Retirer"
#	define TIME_FRAME_LABEL "Heures : Minutes : Secondes"
#else
#	define HOSTMENU "Hostmenu"
#	define OK "OK"
#	define CANCEL "Cancel"
#	define YES "Yes"
#	define NO "No"
#	define HELP "Help"
#	define PREVIOUS "Previous"
#	define NEXT "Next"
#	define PRINT "Print"
#	define ADD "Add"
#	define REMOVE "Remove"
#	define TIME_FRAME_LABEL "Hours : Minutes : Seconds"
#endif

/* You may change the following defines IOT customize Xdialog... */

#define XDIALOG "Xdialog"	/* Default Xdialog window title */

#define DEFAULT_FIXED_FONT "-*-*-medium-r-normal-*-*-*-*-*-m-70-iso8859-1"

#define INFO_TIME 1000		/* the number of ms an infobox should stay up*/

#define MAX_TREE_DEPTH 24
#define MAX_LABEL_LENGTH 1024
#define MAX_INPUT_DEFAULT_LENGTH 1024

#define MAX_TITLE_LENGTH 64
#define MAX_BACKTITLE_LENGTH 256
#define MAX_WMCLASS_LENGTH 32
#define MAX_PRTNAME_LENGTH 64
#define MAX_ITEM_LENGTH 128

#define MAX_FILENAME_LENGTH 256
#define MAX_PRTNAME_LENGTH 64
#define PRINTER_CMD "lpr" 		/* Command to be used IOT print text */
#define PRINTER_CMD_OPTION "-P"		/* The option to specify the prt queue */
#define TEMP_FILE "/tmp/Xdialog.tmp" 	/* Temporary file used for printing */
#define MAX_PRTCMD_LENGTH MAX_PRTNAME_LENGTH+32

/* The following defines should not be changed ! */
#define XSIZE_MULT 8
#define YSIZE_MULT 12

#define RADIOLIST 1
#define CHECKLIST 2

#define JUSTIFY_LEFT -1
#define JUSTIFY_CENTER 0
#define JUSTIFY_RIGHT 1

#define WINDOW_CENTERED 0
#define WINDOW_UNDER_MOUSE 1
#define WINDOW_AUTO_PLACEMENT -1

#define ICON_AND_TEXT -1
#define ICON_ONLY 0
#define TEXT_ONLY 1

/* Structure definitions. */

typedef struct {
	gint state;
	GtkWidget *widget;
	gchar tag[MAX_ITEM_LENGTH];
	gchar name[MAX_ITEM_LENGTH];
} listname;

typedef struct	{
	gchar		title[MAX_TITLE_LENGTH];
	gchar		backtitle[MAX_BACKTITLE_LENGTH];
	gchar		wmclass[MAX_WMCLASS_LENGTH];
	gchar		separator[2];
	gint		xsize;
	gint		ysize;
	gint		list_height;
	gint		placement;
	gint		justify;
	gint		buttons_style;
	gint		interval;
	gboolean	size_in_pixels;
	gboolean	wrap;
	gboolean	fixed_font;
	gint		passwd;
	gboolean	tags;
	gboolean	buttons;
	gboolean	cancel_button;
	gboolean	help;
	gboolean	default_no;
	gboolean	wizard;
	gboolean	print;
	gboolean	icon;
	gboolean	no_close;
	GtkWidget *	window;
	GtkWidget *	vbox;
	GtkWidget *	widget1;
	GtkWidget *	widget2;
	GtkWidget *	widget3;
	gint		timer;
	FILE *		output;
	FILE *		file;
	char		icon_file[MAX_FILENAME_LENGTH];
	char		rc_file[MAX_FILENAME_LENGTH];
	char		printer[MAX_PRTNAME_LENGTH];
	int		exit_code;
	listname *	array;
		} Xdialog_data;


/* interface.c functions prototypes */

void create_msgbox(gchar *optarg, gboolean yesno);

void create_infobox(gchar *optarg, gint timeout);

void create_gauge(gchar *optarg, gint percent);

void create_tailbox(gchar *optarg);

void create_inputbox(gchar *optarg, gchar *options[], gint entries);

void create_textbox(gchar *optarg, gboolean editable);

void create_rangebox(gchar *optarg, gchar *options[], gint ranges);

void create_itemlist(gchar *optarg, gint type, gchar *options[], gint list_size);

void create_buildlist(gchar *optarg, gchar *options[], gint list_size);

void create_treeview(gchar *optarg, gchar *options[], gint list_size);

void create_menubox(gchar *optarg, gchar *options[], gint list_size);

void create_filesel(gchar *optarg, gboolean dsel_flag);

void create_calendar(gchar *optarg, gint day, gint month, gint year);

void create_timebox(gchar *optarg);
